aboutsummaryrefslogtreecommitdiff
path: root/bin/menu
diff options
context:
space:
mode:
Diffstat (limited to 'bin/menu')
-rwxr-xr-xbin/menu2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/menu b/bin/menu
index 2387bbe..648fc94 100755
--- a/bin/menu
+++ b/bin/menu
@@ -130,6 +130,8 @@ case "$ACTION" in
password)
CHOICE="$(pass_list | show 'password')"
if [ -n "$CHOICE" ]; then
+ trap 'clipctl enable' EXIT
+ clipctl disable
if pass show -c1 "$CHOICE"; then
notify-send -t 5000 -u critical -- \
"$CHOICE" 'password copied to clipboard'